# Generated by Django 4.0.1 on 2022-07-31 15:42

from django.db import migrations, models
import product.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('product_category', '0001_initial'),
        ('store', '0002_alter_store_image'),
    ]

    operations = [
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=120, verbose_name='عنوان')),
                ('active', models.BooleanField(default=True, verbose_name='فعال')),
                ('price', models.DecimalField(decimal_places=0, default=0.0, max_digits=30, verbose_name='قیمت')),
                ('image', models.ImageField(blank=True, null=True, upload_to=product.models.upload_image_path, verbose_name='تصویر')),
                ('categories', models.ManyToManyField(to='product_category.ProductCategory', verbose_name='دسته بندی ها')),
                ('stores', models.ManyToManyField(to='store.Store', verbose_name='فروشگاه ها')),
            ],
            options={
                'verbose_name': 'محصول',
                'verbose_name_plural': 'محصولات',
            },
        ),
    ]
